<?php
include "includes/db.php";
include "includes/auth.php";
$msg="";
if (isset($_POST["save_changes"])) {
  $id=$_POST['id'];
  $expense_type=$con->real_escape_string($_POST["expense_type"]);
  $expense_date=$con->real_escape_string($_POST["expense_date"]);
  $expense_amount=$con->real_escape_string($_POST["amount"]);
  $description=$con->real_escape_string($_POST["description"]);
  $vehicle_no=$con->real_escape_string($_POST["vehicle_no"]);
  $driver_name=$con->real_escape_string($_POST["driver_name"]);

  $query = "UPDATE `expenses` SET
    `expense_type` = '$expense_type',
    `expense_date` = '$expense_date',
    `expense_amount` = '$expense_amount',
    `description` = '$description',
    `driver_name` = '$driver_name',
    `vehicle_no` = '$vehicle_no',
    WHERE `expense_id` = $id";

  if ($con->query($query) === TRUE) {
            $msg .="<div class='alert alert-success'>Expense Record Has Been Updated Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        }      
}


if (isset($_POST["delete"])) {
  $id=$_POST['id'];
  $query="DELETE FROM `expenses` WHERE `expense_id` = '$id'";
  if ($con->query($query) === TRUE) {
            $msg .="<div class='alert alert-success'>Expense Record Has Been Deleted Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        } 
}

 ?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Dashboard - Expense List</title>
  <?php include "includes/links.php"; ?>

</head>

<body>

  <?php include "includes/header.php"; ?>
  <?php include "includes/sidebar.php"; ?>


  <main id="main" class="main">

    <div class="pagetitle">
      <h1>Dashboard</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="dashboard.php">Home</a></li>
          <li class="breadcrumb-item active">Expense List</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section dashboard">
      <div class="row">

        <!-- Left side columns -->
        <div class="col-lg-12">
          
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">Expense List</h5>
              <?php if(isset($msg)){ echo $msg; } ?>
              <!-- No Labels Form -->
                <div class="col-md-12">
                  <table class="table datatable table-striped">
                <thead>
                  <tr>
                    <th>Type</th>
                    <th>Date</th>
                    <th>Amount</th>
                    <th>Driver</th>
                    <th>Vehicle</th>
                    <th>Description</th>
                    <th>Action</th>
                  </tr>
                </thead>
                <tbody>
                  <?php
                        $profile_query = mysqli_query($con,"SELECT * FROM `expenses`");
                        while($fetch = mysqli_fetch_array($profile_query)){
                    ?>
                  <tr>
                    <td><?php echo $expense_type=$fetch["expense_type"]; ?></td>
                    <td><?php echo $fetch["expense_date"]; ?></td>
                    <td><?php echo $fetch["expense_amount"]; ?></td>
                    <td><?php echo $fetch["driver_name"]; ?></td>
                    <td><?php echo $fetch["vehicle_no"]; ?></td>
                    <td><?php echo $fetch["description"]; ?></td>
                    <td>
                      <button class="btn btn-primary btn-sm"  data-bs-toggle="modal" data-bs-target="#edit_modal<?php echo $fetch["expense_id"]; ?>"><i class="ri-edit-box-line"></i></button>
                      <button class="btn btn-danger btn-sm"  data-bs-toggle="modal" data-bs-target="#delete_modal<?php echo $fetch["expense_id"]; ?>"><i class="ri-delete-bin-2-fill"></i></button>
                    </td>

              <div class="modal fade" id="edit_modal<?php echo $fetch["expense_id"]; ?>" tabindex="-1">
                <div class="modal-dialog modal-xl">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title">Edit Expense Details:</h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      <form method="POST"  enctype="multipart/form-data">
                        <input type="hidden" name="id" value="<?php echo $fetch["expense_id"]; ?>">
                        <div class="row">
                          <div class="col-md-6 mb-2">
                            <label for="expense_type" class="form-label">Expense Type:</label>
                            <select class="form-select" id="expense_type"  name="expense_type">
                              <option value="" selected disabled>Select Any Expense Type</option>
                              <option value="Fuel Exp" <?php if($expense_type=="Fuel Exp"){echo "selected";} ?>>Fuel Exp</option>
                              <option value="Maintenance Exp" <?php if($expense_type=="Maintenance Exp"){echo "selected";} ?>>Maintenance Exp</option>
                              <option value="Driver's Daily Exp" <?php if($expense_type=="Driver's Daily Exp"){echo "selected";} ?>>Driver's Daily Exp</option>
                              <option value="Toll Tax" <?php if($expense_type=="Toll Tax"){echo "selected";} ?>>Toll Tax</option>
                              <option value="Miscellaneous" <?php if($expense_type=="Miscellaneous"){echo "selected";} ?>>Miscellaneous</option>
                            </select>
                          </div>
                          <div class="col-md-6  mb-2">
                            <label for="date" class="form-label">Date:</label>
                            <input type="date" class="form-control" name="expense_date" value="<?php echo date('Y-m-d'); ?>" value="<?php echo $fetch["expense_date"]; ?>">
                          </div>
                          <div class="col-md-4">
                            <label for="amount" class="form-label">Amount  <small>(PKR)</small>:</label>
                            <input type="text" class="form-control" id="amount"  name="amount" value="<?php echo $fetch["expense_amount"]; ?>">
                          </div>
                           <div class="col-md-4">
                            <label for="driver_name" class="form-label">Driver Name:</label>
                            <input type="text" class="form-control" id="driver_name"  name="driver_name"  value="<?php echo $fetch["driver_name"]; ?>">
                          </div>
                          <div class="col-md-4">
                            <label for="vehicle_no" class="form-label">Vehicle No:</label>
                            <input type="text" class="form-control" id="vehicle_no"  name="vehicle_no"  value="<?php echo $fetch["vehicle_no"]; ?>">
                          </div>
                          <div class="col-md-12  mt-2">
                            <label for="description" class="form-label">Description:</label>
                            <textarea class="form-control" rows="3" name="description" id="description" spellcheck="false"><?php echo $fetch["description"]; ?></textarea>
                          </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-primary" name="save_changes">Save Changes</button>
                    </div>
                    </form>
                  </div>
                </div>
              </div><!-- End Extra Large Modal-->                  

              <div class="modal fade" id="delete_modal<?php echo $fetch["expense_id"]; ?>" tabindex="-1">
                <div class="modal-dialog modal-md">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title">Do you want to delete this record?</h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      <form method="POST">
                        <div class="row">
                      <div class="col-md-12">
                        <input type="hidden" name="id" value="<?php echo $fetch["expense_id"]; ?>">
                        <p>Data will be deleted permanently.</p>
                      </div>
                      </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-danger" name="delete">Yes Delete</button>
                    </div>
                    </form>
                  </div>
                </div>
              </div><!-- End Extra Large Modal-->                  

                  </tr>
                  <?php } ?>                  
                </tbody>
              </table>
                </div>              
            </div>
          </div>
        </div><!-- End Left side columns -->

        

      </div>
    </section>

  </main><!-- End #main -->

  <?php include "includes/footer.php"; ?>

  <?php include "includes/scripts.php"; ?>

</body>

</html>