<?php
include "includes/auth.php";
// Step 1: Connect to your database
$servername = "localhost";
$username = "root";
$password = "";
$dbname = "al_hadeed";

// Create connection
$conn = new mysqli($servername, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Step 2: Execute SQL query to fetch the top 10 most sold products in the last 7 days
$sql = "SELECT p.product_id, p.product_code, p.description, 
               SUM(s.product_quantity) AS total_quantity_sold, 
               SUM(s.total_amount) AS total_sell_amount,
               SUM(s.total_weight) AS total_weight
        FROM sales s
        JOIN products p ON s.product_id = p.product_id
        WHERE s.sale_date >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)
        GROUP BY s.product_id
        ORDER BY total_quantity_sold DESC
        LIMIT 10";

$result = $conn->query($sql);

// Step 3: Display the top 10 most sold products
if ($result->num_rows > 0) {
    echo "<h2>Top 10 Most Sold Products in the Last 7 Days:</h2>";
    echo "<table border='1'><tr><th>Product Code</th><th>Description</th><th>Total Quantity Sold</th><th>Total Sell Amount</th><th>Total Weight</th></tr>";
    while($row = $result->fetch_assoc()) {
        echo "<tr><td>".$row["product_code"]."</td><td>".$row["description"]."</td><td>".$row["total_quantity_sold"]."</td><td>".$row["total_sell_amount"]."</td><td>".$row["total_weight"]."</td></tr>";
    }
    echo "</table>";
} else {
    echo "No results found";
}

// Step 4: Close the database connection
$conn->close();
?>
